<div class="group-details">
  <secual-tabs>
    <secual-tab-pane title="{{groupDetailsInfo.member}}({{groupDetailsInfo.group.users.length}})" class="members-pane">
      <md-list>
        <md-list-item ng-repeat="user in groupDetailsInfo.group.users | sortUsers" ng-click="groupDetailsInfo.goTo('users.details', {id: user.id})">
          <!--<img class="avatar" ng-src="{{user.avatarUrl}}">-->
          <i class="icon icon-person secual-primary-color secual-icon secual-icon-bordered"></i>
          <div class="secual-list-info">
          <div class="list-title-text">{{user.name || groupDetailsInfo.USERNAME}}</div>
          <div class="list-subtitle-text">{{user.email}}</div>
        </div>
          <span class="secual-badge" ng-if="user.role.name === 'owner'">{{groupDetailsInfo.administrator}}</span>
          <a ui-sref="app.users.details({id: user.id})" class="link accessory-icon">
            <i class="icon-arrow-right secual-icon secual-sub-dark-color"></i>
          </a>
          <md-divider></md-divider>
        </md-list-item>
      </md-list>
      <div class="actions">
        <md-button class="secual-button secual-button-wrapper" ng-click="groupDetailsInfo.addMember()">{{groupDetailsInfo.add_members}}</md-button>
      </div>
    </secual-tab-pane>
    <secual-tab-pane title="通知" class="notification-pane">
      <md-list>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.push}}</div>
            <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary" ng-model="groupDetailsInfo.group.push"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.call}}</div>
            <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary" ng-model="groupDetailsInfo.group.call" ng-change="groupDetailsInfo.save()">
            </md-switch>
        </md-list-item>
        <md-divider></md-divider>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.email}}</div>
            <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.email"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.SMS}}</div>
            <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.sms"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
      </md-list>
      <p class="secual-explanation-text explanation-text center-block">{{groupDetailsInfo.explanation_notification_type}}
      </p>
    </secual-tab-pane>
    <secual-tab-pane title="権限" class="permission-pane">
      <md-list>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.lockable}}</div>
            <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.lockable"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.user_manageble}}</div>
             <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.user_manageable"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.group_manageble}}</div>
             <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.group_manageable"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
         <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.security_settable}}</div>
             <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>
          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.security_settable"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
        <md-list-item class="switch-item">
          <div class="item-info">
            <div class="list-title-text">{{groupDetailsInfo.alert_stoppable}}</div>
            <div class="list-subtitle-text">{{groupDetailsInfo.explanation_notification_type}}</div>

          </div>
          <md-switch md-no-ink class="md-secondary"
            ng-model="groupDetailsInfo.group.alertstoppable"
            ng-change="groupDetailsInfo.save()">
          </md-switch>
        </md-list-item>
        <md-divider></md-divider>
      </md-list>
      <p class="secual-explanation-text explanation-text center-block">{{groupDetailsInfo.explanation_about_permission}}</p>
    </secual-tab-pane>
  </secual-tabs>
</div>
